/* -*- Mode: C++; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 *  USBSink - filetransfer.h
 *
 *  Copyright (C) 2007 Marko Anastasov
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __FILE_TRANSFER_H__
#define __FILE_TRANSFER_H__

#include "datatransfer.h"

#include <glibmm/ustring.h>

namespace USBSink
{

namespace Transfer
{

class FileTransfer : public DataTransfer
{
 public:

  FileTransfer(const Glib::ustring& src_path,
               const Glib::ustring& dest_path);
  ~FileTransfer();

  virtual void run(TaskHandling::Task* task,
                   GnomeVFSAsyncXferProgressCallback callback);

 private:

  Glib::ustring src_path_;
  Glib::ustring dest_path_;

  GnomeVFSAsyncHandle* async_handle_;
};

} // namespace Transfer

} // namespace USBSink

#endif // __FILE_TRANSFER_H__
