/* -*- Mode: C++; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 *  USBSink - iconloader.h
 *
 *  Copyright (C) 2007 Marko Anastasov
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _ICON_LOADER_H_
#define _ICON_LOADER_H_

#include "exception.h"

#include <glibmm/refptr.h>
#include <glibmm/ustring.h>

#include <gdkmm/pixbuf.h>

namespace USBSink
{

namespace UI
{

static const int ICON_SIZE_LARGE = 128;


/**
 * Contains a message for an error which occurred while loading
 * a particular icon from the current theme.
 */
class IconLoadingException : public Exception
{
public:
  explicit IconLoadingException(const Glib::ustring& msg);
};


/**
 * Utility class with method(s?) for loading icons at will.
 */
class IconLoader
{
public:
  static Glib::RefPtr<Gdk::Pixbuf> load_program_icon(int size);
};

} // namespace UI

} // namespace USBSink

#endif // _ICON_LOADER_H_
