/* -*- Mode: C++; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 *  USBSink - waitingregistryclient.cc
 *
 *  Copyright (C) 2006 Marko Anastasov
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "waitingclient.h"

namespace USBSink
{

namespace TaskHandling
{

using std::vector;

WaitingClient::WaitingClient(const ClientSlot& slot)
  :
  slot_(slot)
{
}

WaitingClient::~WaitingClient()
{
}

void
WaitingClient::get_requested_list_names(vector<Glib::ustring>& names) const
{
  names.assign(list_names_.begin(), list_names_.end());
}

} // namespace TaskHandling

} // namespace USBSink
